Index: tests/regression/Parser/Mpqc-SetBasis/testsuite-parser-mpqc-set-basis.at
===================================================================
--- tests/regression/Parser/Mpqc-SetBasis/testsuite-parser-mpqc-set-basis.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Mpqc-SetBasis/testsuite-parser-mpqc-set-basis.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,8 @@
+### MPQC basis
+
+AT_SETUP([Parser - MPQC basis])
+AT_KEYWORDS([options])
+AT_CHECK([pwd],[ignore],[ignore])
+AT_CHECK([../../molecuilder -i test.conf -v 1 -M test], 0, [stdout], [ignore])
+AT_CHECK([fgrep "Setting MPQC basis to test." stdout], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Parser/Mpqc/post/test.in
===================================================================
--- tests/regression/Parser/Mpqc/post/test.in	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Mpqc/post/test.in	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,24 @@
+% Created by MoleCuilder
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2>: (
+		maxiter = 200
+		basis = $:basis
+		molecule = $:molecule
+		reference<CLHF>: (
+			basis = $:basis
+			molecule = $:molecule
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		H [ 0	0	0 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/pre/test.in
===================================================================
--- tests/regression/Parser/Mpqc/pre/test.in	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Mpqc/pre/test.in	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,24 @@
+% Created by MoleCuilder
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2>: (
+		maxiter = 200
+		basis = $:basis
+		molecule = $:molecule
+		reference<CLHF>: (
+			basis = $:basis
+			molecule = $:molecule
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		H [ 0	0	0 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/pre/test.xyz
===================================================================
--- tests/regression/Parser/Mpqc/pre/test.xyz	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Mpqc/pre/test.xyz	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Tue Oct  6 18:34:23 2009
+H	10	10	10
Index: tests/regression/Parser/Mpqc/testsuite-parser-mpqc.at
===================================================================
--- tests/regression/Parser/Mpqc/testsuite-parser-mpqc.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Mpqc/testsuite-parser-mpqc.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,20 @@
+### parsing mpqc
+
+AT_SETUP([Parser - loading mpqc file])
+AT_KEYWORDS([parser,mpqc])
+AT_XFAIL_IF([/bin/true])
+AT_CHECK([../../molecuilder -i test.in  -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.in], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Parser - storing mpqc from loaded xyz file])
+AT_KEYWORDS([parser,mpqc,xyz])
+AT_CHECK([../../molecuilder -i test.xyz  -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Parser - saving mpqc (from parsed xyz) file])
+AT_KEYWORDS([parser,mpqc,xyz])
+AT_CHECK([../../molecuilder -i test.xyz  -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.xyz --output store.in], 0, [ignore], [ignore])
+AT_CHECK([diff store.in ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/test.in], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Parser/Pcp/post/test.conf
===================================================================
--- tests/regression/Parser/Pcp/post/test.conf	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Pcp/post/test.conf	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,72 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		1	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	1	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
Index: tests/regression/Parser/Pcp/pre/test.conf
===================================================================
--- tests/regression/Parser/Pcp/pre/test.conf	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Pcp/pre/test.conf	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,72 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	0	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	0	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		1	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	1	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
Index: tests/regression/Parser/Pcp/testsuite-parser-pcp.at
===================================================================
--- tests/regression/Parser/Pcp/testsuite-parser-pcp.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Pcp/testsuite-parser-pcp.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,13 @@
+### parsing pcp
+
+AT_SETUP([Parser - loading conf file])
+AT_KEYWORDS([parser,pcp])
+AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Parser - saving conf file])
+AT_KEYWORDS([parser,pcp])
+AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf --output store.conf], 0, [ignore], [ignore])
+AT_CHECK([diff store.conf ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Parser/Pdb/post/test.pdb
===================================================================
--- tests/regression/Parser/Pdb/post/test.pdb	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Pdb/post/test.pdb	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,3 @@
+REMARK created by molecuilder on Tue Dec  7 13:11:31 2010
+ATOM      1 H01 0pre b1         10.000  10.000  10.000  1.00  1.00           H 0
+END
Index: tests/regression/Parser/Pdb/pre/test.pdb
===================================================================
--- tests/regression/Parser/Pdb/pre/test.pdb	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Pdb/pre/test.pdb	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,3 @@
+REMARK created by molecuilder on Fri Aug 27 12:18:33 2010
+ATOM      1  H01 pre b   0        10.0    10.0    10.0   1.0   1.0         0 H 0
+END
Index: tests/regression/Parser/Pdb/testsuite-parser-pdb.at
===================================================================
--- tests/regression/Parser/Pdb/testsuite-parser-pdb.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Pdb/testsuite-parser-pdb.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,14 @@
+### parsing pdb
+
+AT_SETUP([Parser - loading pdb file])
+AT_KEYWORDS([parser,pdb])
+AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb], 0, [ignore], [ignore])
+AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Parser - saving pdb file])
+AT_KEYWORDS([parser,pdb])
+AT_CHECK([../../molecuilder -i test.pdb  -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb --output store.pdb], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*created by molecuilder.*' store.pdb ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
Index: tests/regression/Parser/Tremolo/post/argon.data
===================================================================
--- tests/regression/Parser/Tremolo/post/argon.data	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Tremolo/post/argon.data	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,3 @@
+# ATOMDATA	Id	name	Type	x=3
+1	Ar1	Ar	4.72977	8	8	
+2	Ar2	Ar	7.3	8	8	
Index: tests/regression/Parser/Tremolo/post/test.data
===================================================================
--- tests/regression/Parser/Tremolo/post/test.data	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Tremolo/post/test.data	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,2 @@
+# ATOMDATA	Charge	F	GroupMeasureTypeNo	GrpTypeNo	Id	Type	chainID	charge	extType	imprData	name	neighbors	occupancy	resName	resSeq	segID	stress	tempFactor	torsion	u	x
+0	0	0	0	1	H	0	0	-	-	-	0	-	   1	0	0	0	-	0	0	0	10	10	10	
Index: tests/regression/Parser/Tremolo/pre/argon.data
===================================================================
--- tests/regression/Parser/Tremolo/pre/argon.data	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Tremolo/pre/argon.data	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,19 @@
+# ATOMDATA Id name Type x=3
+1	Ar1	Ar	4.72977074	8.	8.	
+###2	3	4	5
+###2	HN1	H	6.4595415	5		5		1	0	0	0
+###3	HN1	H	5		6.4595415	5		1	0	0	0	
+###4	HN1	H	5		5		6.4595415	1	0	0	0
+###5	HN1	H	6.4595415	6.4595415	6.4595415	1	0	0	0
+
+2	Ar2	Ar	7.3		8.		8.		
+###7	8	9	0
+###7 	ON2	OT 	9.028		8.      		8.		6	0	0	0
+###8 	ON2	OT	7.486		7.1097259	8.		6	0	0	0
+###9 	ON2	OT	7.486		8.8902741	8.		6	0	0	0
+
+
+###6	N2	NT	9.		9.		9.		7	8	9	0
+###7 	ON2	OT 	10.228		9.      		9.		6	0	0	0
+###8 	ON2	OT	8.486		9.8902741	9.		6	0	0	0
+###9 	ON2	OT	8.486		8.1097259	9.		6	0	0	0
Index: tests/regression/Parser/Tremolo/pre/test.data
===================================================================
--- tests/regression/Parser/Tremolo/pre/test.data	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Tremolo/pre/test.data	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,2 @@
+# ATOMDATA	Charge	F	GroupMeasureTypeNo	GrpTypeNo	Id	Type	chainID	charge	extType	imprData	name	neighbors	occupancy	resName	resSeq	segID	stress	tempFactor	torsion	u	x
+0	0	0	0	1	H	0	0	-	-	-	0	-	   1	0	0	0	-	0	0	0	10	10	10	
Index: tests/regression/Parser/Tremolo/pre/test.xyz
===================================================================
--- tests/regression/Parser/Tremolo/pre/test.xyz	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Tremolo/pre/test.xyz	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Tue Oct  6 18:34:23 2009
+H	10	10	10
Index: tests/regression/Parser/Tremolo/testsuite-parser-tremolo.at
===================================================================
--- tests/regression/Parser/Tremolo/testsuite-parser-tremolo.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Tremolo/testsuite-parser-tremolo.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,21 @@
+### parsing tremolo
+
+AT_SETUP([Parser - loading tremolo file])
+AT_KEYWORDS([parser,tremolo])
+AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/argon.data .], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i argon.data -o tremolo], 0, [ignore], [ignore])
+AT_CHECK([file=argon.data; diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Parser - saving tremolo file])
+AT_KEYWORDS([parser,tremolo])
+AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/test.data .], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i test.data -o tremolo --output store.data], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' store.data ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/test.data], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Parser - storing tremolo from loaded xyz file])
+AT_KEYWORDS([parser,tremolo,xyz])
+AT_CHECK([../../molecuilder -i test.xyz  -o tremolo -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([file=test.data; diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Parser/Xyz/post/test.xyz
===================================================================
--- tests/regression/Parser/Xyz/post/test.xyz	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Xyz/post/test.xyz	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Tue Oct  6 18:34:23 2009
+H	10	10	10
Index: tests/regression/Parser/Xyz/pre/test.xyz
===================================================================
--- tests/regression/Parser/Xyz/pre/test.xyz	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Xyz/pre/test.xyz	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Tue Oct  6 18:34:23 2009
+H	10	10	10
Index: tests/regression/Parser/Xyz/testsuite-parser-xyz.at
===================================================================
--- tests/regression/Parser/Xyz/testsuite-parser-xyz.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/Xyz/testsuite-parser-xyz.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,13 @@
+### parsing xyz
+
+AT_SETUP([Parser - loading xyz file])
+AT_KEYWORDS([parser,xyz])
+AT_CHECK([../../molecuilder -i test.xyz -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Parser - saving xyz file])
+AT_KEYWORDS([parser,xyz])
+AT_CHECK([../../molecuilder -i test.xyz  -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz --output store.xyz], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' store.xyz ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/test.xyz], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Parser/testsuite-parser.at
===================================================================
--- tests/regression/Parser/testsuite-parser.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
+++ tests/regression/Parser/testsuite-parser.at	(revision f2230ed4cddad16052b0be557fd8f58130a361a2)
@@ -0,0 +1,20 @@
+AT_BANNER([MoleCuilder - Parser])
+
+# set MPQC basis
+m4_include([Parser/Mpqc-SetBasis/testsuite-parser-mpqc-set-basis.at])
+
+# parsing mpqc
+m4_include([Parser/Mpqc/testsuite-parser-mpqc.at])
+
+# parsing pcp
+m4_include([Parser/Pcp/testsuite-parser-pcp.at])
+
+# parsing pdb
+m4_include([Parser/Pdb/testsuite-parser-pdb.at])
+
+# parsing tremolo
+m4_include([Parser/Tremolo/testsuite-parser-tremolo.at])
+
+# parsing xyz
+m4_include([Parser/Xyz/testsuite-parser-xyz.at])
+
